> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/orchestrator-item.md).

# orchestratorItem

Represents an orchestrator system involved in the application's flow, such as Kubernetes or Docker.

### Examples

```graphql
type OrchestratorItem {
  type: String
  name: String
  hashType: String
  system: String
  hash: String
  size: String
  date: String
  location: [AppFlowItemLocation]
}
```

### Fields

| Field                                                                                                                         | Description                                                                  | Supported fields                                                                                                           |
| ----------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| type `String`                                                                                                                 | Type of the orchestrator                                                     |                                                                                                                            |
| name `String`                                                                                                                 | Name of the orchestrator item                                                |                                                                                                                            |
| hashType `String`                                                                                                             | Type of hash used for the orchestrator item                                  |                                                                                                                            |
| system `String`                                                                                                               | System associated with the orchestrator item                                 |                                                                                                                            |
| hash `String`                                                                                                                 | Hash value of the orchestrator item                                          |                                                                                                                            |
| size `String`                                                                                                                 | Size of the orchestrator item in bytes                                       |                                                                                                                            |
| date `String`                                                                                                                 | Timestamp indicating when the orchestrator item was created or last modified |                                                                                                                            |
| location [`[AppFlowItemLocation]`](/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md) | Locations where the orchestrator item is deployed or stored                  | <p>runBy <code>String</code><br>foundBy <code>String</code><br>foundIn <code>String</code><br>link <code>String</code></p> |

### References

#### Fields with this object:

* [{} ApplicationFlow.orchestrators](/api-documentation/api-reference/api--application/types/objects/application-flow.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/orchestrator-item.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
